Package sop.cli.picocli.commands

# Class AbstractSopCmd

java.lang.Object
sop.cli.picocli.commands.AbstractSopCmd

All Implemented Interfaces:
  `Runnable`

Direct Known Subclasses:
  `ArmorCmd`, `ChangeKeyPasswordCmd`, `DearmorCmd`, `DecryptCmd`, `EncryptCmd`, `ExtractCertCmd`, `GenerateKeyCmd`, `InlineDetachCmd`, `InlineSignCmd`, `InlineVerifyCmd`, `ListProfilesCmd`, `RevokeKeyCmd`, `SignCmd`, `VerifyCmd`, `VersionCmd`

public abstract class AbstractSopCmd extends Object implements Runnable
Abstract super class of SOP subcommands.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`AbstractSopCmd.EnvironmentVariableResolver`
Interface to modularize resolving of environment variables.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Date`
`BEGINNING_OF_TIME`
`static final Date`
`END_OF_TIME`
`protected AbstractSopCmd.EnvironmentVariableResolver`
`envResolver`
`protected final ResourceBundle`
`messages`
`static final Pattern`
`PATTERN_FD`
`static final String`
`PRFX_ENV`
`static final String`
`PRFX_FD`

## Constructor Summary

Constructors
Constructor
Description
`AbstractSopCmd()`
`AbstractSopCmd(Locale locale)`

## Method Summary

Modifier and Type
Method
Description
`File`
`fileDescriptorFromString(String fdString)`
`InputStream`
`getInput(String indirectInput)`
`String`
`getMsg(String key)`
`String`
`getMsg(String key, String arg1)`
`String`
`getMsg(String key, String arg1, String arg2)`
`OutputStream`
`getOutput(String indirectOutput)`
`Date`
`parseNotAfter(String notAfter)`
`Date`
`parseNotBefore(String notBefore)`
`static String`
`stringFromInputStream(InputStream inputStream)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Runnable

`run`

## Field Details

### PRFX_ENV

public static final String PRFX_ENV

See Also:
  - Constant Field Values

### PRFX_FD

public static final String PRFX_FD

See Also:
  - Constant Field Values

### BEGINNING_OF_TIME

public static final Date BEGINNING_OF_TIME

### END_OF_TIME

public static final Date END_OF_TIME

### PATTERN_FD

public static final Pattern PATTERN_FD

### messages

protected final ResourceBundle messages

### envResolver

protected AbstractSopCmd.EnvironmentVariableResolver envResolver

## Constructor Details

### AbstractSopCmd

public AbstractSopCmd()

### AbstractSopCmd

public AbstractSopCmd(@Nonnull Locale locale)

## Method Details

### getMsg

public String getMsg(String key)

### getMsg

public String getMsg(String key, String arg1)

### getMsg

public String getMsg(String key, String arg1, String arg2)

### getInput

public InputStream getInput(String indirectInput) throws IOException

Throws:
  `IOException`

### getOutput

public OutputStream getOutput(String indirectOutput) throws IOException

Throws:
  `IOException`

### fileDescriptorFromString

public File fileDescriptorFromString(String fdString)

### stringFromInputStream

public static String stringFromInputStream(InputStream inputStream) throws IOException

Throws:
  `IOException`

### parseNotAfter

public Date parseNotAfter(String notAfter)

### parseNotBefore

public Date parseNotBefore(String notBefore)